---
table_name: ml_model_metadata
classes:
- Ml::ModelMetadata
feature_categories:
- mlops
gitlab_schema: gitlab_main_cell
description: A Model Metadata record holds extra information about the model
introduced_by_url: https://gitlab.com/gitlab-org/gitlab/-/merge_requests/134443
milestone: 16.6
allow_cross_foreign_keys:
- gitlab_main_clusterwide
desired_sharding_key:
  project_id:
    references: projects
    backfill_via:
      parent:
        foreign_key: model_id
        table: ml_models
        sharding_key: project_id
        belongs_to: model
desired_sharding_key_migration_job_name: BackfillMlModelMetadataProjectId
table_size: small
